DateTime::setTime
DateTime::setTimezone
DateTime
PHP Manual

# DateTime::setTimestamp

# date_timestamp_set

(PHP 5 >= 5.3.0, PHP 7)

DateTime::setTimestamp -- date_timestamp_set — Sets the date and time based on an Unix timestamp

### Description

Object oriented style

public DateTime DateTime::setTimestamp ( int `$unixtimestamp` )

Procedural style

DateTime date_timestamp_set ( DateTime `$object` , int `$unixtimestamp` )

Sets the date and time based on an Unix timestamp.

### Parameters

`object`

  Procedural style only: A DateTime object returned by date_create(). The function modifies this object.

`unixtimestamp`

  Unix timestamp representing the date.

### Return Values

Returns the DateTime object for method chaining or `FALSE` on failure.

### Examples

Example #1 DateTime::setTimestamp() example

Object oriented style

`<?php
$date = new DateTime();
echo $date->format('U = Y-m-d H:i:s') . "\n";
$date->setTimestamp(1171502725);
echo $date->format('U = Y-m-d H:i:s') . "\n";
?>`

Procedural style

`<?php
$date = date_create();
echo date_format($date, 'U = Y-m-d H:i:s') . "\n";
date_timestamp_set($date, 1171502725);
echo date_format($date, 'U = Y-m-d H:i:s') . "\n";
?>`

The above examples will output something similar to:

    1272508903 = 2010-04-28 22:41:43
    1171502725 = 2007-02-14 20:25:25

### Notes

Using the Unix timestamp format to construct a new DateTime object is an alternative when using PHP 5.2, as shown in the example below.

Example #2 DateTime::setTimestamp() alternative in PHP 5.2

`<?php
$ts = 1171502725;
$date = new DateTime("@$ts");
echo $date->format('U = Y-m-d H:i:s') . "\n";
?>`

The above example will output something similar to:

    1171502725 = 2007-02-14 20:25:25

### See Also

- DateTime::getTimestamp() - Gets the Unix timestamp

DateTime::setTime
DateTime::setTimezone
DateTime
PHP Manual